// (c) MIT 2003.  All rights reserved.

// $Id: ElectTransition.java,v 1.3 2003/03/06 00:40:40 moltmans Exp $
// Time-stamp: <2000-03-11 18:59:36 moltmans>
package rec.sys;


public class ElectTransition extends DoTransition {

  Widget m_Widget;
  
  public ElectTransition( Surface surf, Widget wid )
  {
    super( surf );

    m_Widget = wid;
  }
  
  public void doDo()
  {
    m_Widget.elect( m_Surface );
  }

  public void doUndo()
  {
    m_Widget.impeach();
  }

  public String getAction()
  {
    return "elect widget " + m_Widget;
  }
  
}
